All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::NormalizationTransform Struct Reference

`#include <VectorTransform.h>`

Inheritance diagram for faiss::NormalizationTransform:

## Public Member Functions

| NormalizationTransform (int d, float norm=2.0)
void | apply_noalloc (idx_t n, const float *x, float *xt) const override
| same as apply, but result is pre-allocated
Public Member Functions inherited from faiss::VectorTransform
| VectorTransform (int d_in=0, int d_out=0)
| ! output dimension
virtual void | train (idx_t n, const float *x)
float * | apply (idx_t n, const float *x) const
virtual void | reverse_transform (idx_t n, const float *xt, float *x) const

## Public Attributes

float | norm
Public Attributes inherited from faiss::VectorTransform
int | d_in
int | d_out
| ! input dimension
bool | is_trained

## Additional Inherited Members

Public Types inherited from faiss::VectorTransform
typedef Index::idx_t | idx_t

## Detailed Description

per-vector normalization

Definition at line 226 of file VectorTransform.h.

The documentation for this struct was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/VectorTransform.h
- /data/users/matthijs/github_faiss/faiss/VectorTransform.cpp